package com.yeejoin.amos.boot.module.jg.biz.reminder.biz.installNotice;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.jg.api.enums.BusinessTypeEnum;
import com.yeejoin.amos.boot.module.jg.biz.reminder.core.DefaultReminder;
import com.yeejoin.amos.boot.module.jg.biz.reminder.dto.MatchItemDto;
import com.yeejoin.amos.boot.module.jg.biz.reminder.dto.ReminderItemDto;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class InstallNoticeReminderAdapter extends DefaultReminder {
    public InstallNoticeReminderAdapter(ApplicationContext applicationContext) {
        super(applicationContext);
    }

    @Override
    public IPage<ReminderItemDto> realtimeParse(String bizId, Page<ReminderItemDto> page) {
        return null;
    }

    @Override
    public IPage<ReminderItemDto> jsonParse(String bizId, Map<String, Object> formData, Page<ReminderItemDto> page) {
        return null;
    }

    @Override
    public MatchItemDto getMatchItem(String bizId, Map<String, Object> formData) {
        return null;
    }

    @Override
    public MatchItemDto getMatchItem(String bizId) {
        return null;
    }

    @Override
    public String supportBizType() {
        return BusinessTypeEnum.JG_INSTALLATION_NOTIFICATION.name();
    }
}
